## pgq-node 3.2.5

=== Makefile ===

EXTENSION = pgq_node

EXT_VERSION = 3.2.5
EXT_OLD_VERSIONS = 3.1 3.1.3 3.1.6 3.2

Extension_regress = pgq_node_init_ext   pgq_node_test
Contrib_regress   = pgq_node_init_noext pgq_node_test

include mk/common-pgxs.mk

#
# docs
#

dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/pgq_node.sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

deb:
	make -f debian/rules genfiles
	debuild -us -uc -b

debclean:
	make -f debian/rules debclean

=== debian/changelog ===
pgq-node (3.2.5-7ubuntu0.1) focal-security; urgency=medium

  * d/p/Fix-modload-with-postgresql.patch: Fix module loading
    with new postgresql version.  (LP: #1986714)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 17 Aug 2022 14:02:30 -0400

pgq-node (3.2.5-7) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 20:34:34 +0100

pgq-node (3.2.5-6) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 09:48:36 +0100

pgq-node (3.2.5-5) unstable; urgency=medium

  * Fix wrong python build-dependency.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2019 15:26:21 +0200

pgq-node (3.2.5-4) unstable; urgency=medium

  * Add debian/gitlab-ci.yml.
  * Switch to python3. (Closes: #937279)

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2019 13:33:03 +0200

pgq-node (3.2.5-3) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Feb 2019 11:31:59 +0100

pgq-node (3.2.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Add watch file.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 19:23:43 +0200

pgq-node (3.2.5-1) unstable; urgency=medium

  * New package split out from skytools3.
  * Packaging based on upstream, which in turn is based on our old skytools3
    packaging.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Jan 2018 18:31:35 +0100

=== debian/control ===
Source: pgq-node
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), python3, postgresql-server-dev-all
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgq-node

Package: postgresql-12-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-12, postgresql-12-pgq3
Replaces: postgresql-12-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

=== debian/rules ===
#!/usr/bin/make -f

PG_BUILDEXT = pg_buildext
PG_VERSIONS = $$($(PG_BUILDEXT) supported-versions . )

include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- clean || exit 0

override_dh_auto_test:

override_dh_auto_install:
	+pg_buildext install . . postgresql-%v-pgq-node

=== debian/watch ===
version=4
https://github.com/pgq/pgq-node/releases .*/v(.*).tar.gz

## pgq-node 3.4~20220627.1510-5~1.git32b5f0b.pgdg18.04+1

=== debian/changelog ===
pgq-node (3.4~20220627.1510-5~1.git32b5f0b.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:48:23 +0200

pgq-node (3.4-5) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:48:23 +0200

pgq-node (3.4-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 13:36:50 +0200

pgq-node (3.4-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Oct 2020 14:33:53 +0200

pgq-node (3.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 13:57:52 +0200

pgq-node (3.4-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.
  * Restrict watch file to git tarballs.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 11:55:32 +0200

=== debian/control ===
Source: pgq-node
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 11), python3, postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgq-node

Package: postgresql-10-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-10, postgresql-10-pgq3
Replaces: postgresql-10-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

Package: postgresql-11-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-11, postgresql-11-pgq3
Replaces: postgresql-11-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

Package: postgresql-12-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-12, postgresql-12-pgq3
Replaces: postgresql-12-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

Package: postgresql-13-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-13, postgresql-13-pgq3
Replaces: postgresql-13-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

Package: postgresql-14-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-14, postgresql-14-pgq3
Replaces: postgresql-14-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

## pgq-node 3.4~20220627.1510-5~1.git32b5f0b.pgdg20.04+1

=== debian/changelog ===
pgq-node (3.4~20220627.1510-5~1.git32b5f0b.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), python3, postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), python3, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git

## pgq-node 3.4~20220627.1510-5~1.git32b5f0b.pgdg21.10+1

=== debian/changelog ===
pgq-node (3.4~20220627.1510-5~1.git32b5f0b.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), python3, postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), python3, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git

## pgq-node 3.4~20220627.1510-5~1.git32b5f0b.pgdg90+1

=== debian/changelog ===
pgq-node (3.4~20220627.1510-5~1.git32b5f0b.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:48:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), python3, postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git

## pgq-node 3.4~20220627.1510-5~1.git32b5f0b.pgdg100+1

=== debian/changelog ===
pgq-node (3.4~20220627.1510-5~1.git32b5f0b.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 12:48:23 +0200

## pgq-node 3.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq_node
 
-EXT_VERSION = 3.2.5
-EXT_OLD_VERSIONS = 3.1 3.1.3 3.1.6 3.2
+EXT_VERSION = 3.4
+EXT_OLD_VERSIONS = 3.2 3.2.5 3.3.1
 
 Extension_regress = pgq_node_init_ext   pgq_node_test
 Contrib_regress   = pgq_node_init_noext pgq_node_test

=== debian/control ===
Source: pgq-node
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), python3, postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgq-node

Package: postgresql-14-pgq-node
Architecture: all
Depends: ${misc:Depends}, postgresql-14, postgresql-14-pgq3
Replaces: postgresql-14-pgq3 (<= 3.2.6-5)
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

=== debian/watch ===
version=4
https://github.com/pgq/pgq-node/releases .*/v([^/]*).tar.gz

## pgq-node 3.5

=== Makefile ===

EXTENSION = pgq_node

EXT_VERSION = 3.5
EXT_OLD_VERSIONS = 3.2 3.2.5 3.3.1 3.4

Extension_regress = pgq_node_init_ext   pgq_node_test
Contrib_regress   = pgq_node_init_noext pgq_node_test

include mk/common-pgxs.mk

#
# docs
#

dox: cleandox $(SRCS)
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/pgq_node.sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

=== debian/changelog ===
pgq-node (3.5-7) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2024 10:16:05 +0200

pgq-node (3.5-6) unstable; urgency=medium

  * Upload for PostgreSQL 17. (Closes: #1081688)
  * Use ${postgresql:Depends}.
  * B-D on postgresql-PGVERSIONS-pgq3.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:45:59 +0200

pgq-node (3.5-5) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 16:25:52 +0200

pgq-node (3.5-4) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:42:04 +0200

pgq-node (3.5-3) unstable; urgency=medium

  * Remove obsolete Replaces. Thanks to Helmut Grohne for reporting!

 -- Christoph Berg <myon@debian.org>  Tue, 23 May 2023 11:11:10 +0200

pgq-node (3.5-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sun, 30 Oct 2022 22:48:21 +0100

pgq-node (3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.

  [ Christoph Berg ]
  * New upstream version 3.5.
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 14:56:04 +0200

=== debian/control ===
Source: pgq-node
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 postgresql-17-pgq3,
 python3,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/postgresql/pgq-node.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgq-node

Package: postgresql-17-pgq-node
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${postgresql:Depends}-pgq3,
Description: Cascaded queueing on top of PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the pgq_node PostgreSQL extension that provides queue
 node registration and coordination for cascaded queueing.

=== debian/watch ===
version=4
https://github.com/pgq/pgq-node/tags .*/v([^/]*).tar.gz
